News: TinyPortal Release Schedule. Please read this update for More Info.

Login  |  Register
HTML5 Icon HTML5 Icon
TP on Social Media
Welcome, Guest. Please login or register.
Did you miss your activation email?

August 21, 2019, 05:48:36 AM

Login with username, password and session length

Recent

Members
  • Total Members: 3751
  • Latest: tom888
Stats
  • Total Posts: 188690
  • Total Topics: 20745
  • Online Today: 41
  • Online Ever: 629
  • (November 08, 2018, 01:36:54 PM)
Users Online
Users: 0
Guests: 21
Total: 21

Author Topic: PLEASE HELP!!!!!  (Read 10668 times)

0 Members and 1 Guest are viewing this topic.

siath

  • Guest
Re: PLEASE HELP!!!!!
« Reply #10 on: March 25, 2008, 07:16:01 AM »
G6, he is asking for help with TP, he didn't get a chance to install the arcade mod. He was going to but when he switched back to the default theme his forum threw that error.

should be a simple fix actually,
Quote
Fatal error: Cannot redeclare updatechatstats() (previously declared in /home/teengene/public_html/Sources/Load.php(1823) : eval()'d code:705) in /home/teengene/public_html/Sources/Load.php(1823) : eval()'d code on line 739

Open the load.php and remove the extra updatechatstats. There are two in that file looks like one on/around line 705 and one on/around 739.

How you ended up with two definitions of that function can happen from multiple different things. I won't guess about it.

AS ALWAYS BACK THE FILE UP BEFORE YOU EDIT IT.

That should get you back on the road.

Siath

blouogies

  • Guest
Re: PLEASE HELP!!!!!
« Reply #11 on: March 25, 2008, 07:19:01 AM »
Ok listen what I tried to do was install the arcade mod afther I have installed it it gave me an error so I uninstalled and deleted it.  I went to smf Forum and seach for problems on acrade mod.  Then I read that you should go back to your default theme and then try to reinstall the mod.  So I tried to go back to my default mod and that is when this error came up.

Offline Ken.

  • Support Team
  • *
  • Posts: 4344
    • Our FamilyForum
Re: PLEASE HELP!!!!!
« Reply #12 on: March 25, 2008, 07:25:30 AM »
Just as a point of information here:
Thrashing around aimlessly installing/uninstalling/deleting mods is THE best way to mess up your forum.
Not trying to sound mean but thats the way it is.

So... stop changing stuff and take a breather, then start reading up on how to fix the issues you currently have. Later when your forum is back to normal you can then install the arcade or whatever else you want.

Just be sure to research the correct way to install before you do.  :)

----------------------------------------------------
" If everything seems under control, you’re not going fast enough." - Mario Andretti  ^-^

siath

  • Guest
Re: PLEASE HELP!!!!!
« Reply #13 on: March 25, 2008, 07:28:09 AM »
Then, G6 is correct. And what you posted was misleading on other page. Sorry G6.

Quote
The funny thing was I didnt install the arcade mod yet.  I read that I should go back to default theme first so that is what I did. and then it gave me that error.

You specifically said you hadn't installed it yet.

Again sorry G6.

Siath


blouogies

  • Guest
Re: PLEASE HELP!!!!!
« Reply #14 on: March 25, 2008, 07:34:51 AM »
I didnt installed it yesterday!
I have Installed it a week ago and removed it immediatly!!! 

Isnt there something wrong with me default theme?

siath

  • Guest
Re: PLEASE HELP!!!!!
« Reply #15 on: March 25, 2008, 07:43:50 AM »
Point is you INSTALLED the mod and now it has messed up your forum. That mod didn't remove all of the code it installed.

This has me believing that there is a problem not in the load.php file but in a file called by it. Which, creates a whole different can of worms. Once again, G6 is correct and I was wrong. You need to be talking to the people who did the arcade mod.

Siath

Offline Zetan

  • Friends
  • *
  • Posts: 3471
Re: PLEASE HELP!!!!!
« Reply #16 on: March 25, 2008, 07:56:18 AM »
Just as a note here, when installing Mods via the SMF Package Manager, a backup of the forum is automatically created:

/ public_html / Packages / backups /

Download the last "before_blahmod", extract (unzip) and upload.

blouogies

  • Guest
Re: PLEASE HELP!!!!!
« Reply #17 on: March 25, 2008, 08:13:43 AM »
Point is you INSTALLED the mod and now it has messed up your forum. That mod didn't remove all of the code it installed.

This has me believing that there is a problem not in the load.php file but in a file called by it. Which, creates a whole different can of worms. Once again, G6 is correct and I was wrong. You need to be talking to the people who did the arcade mod.

Siath
I did and this is what they said:
This has nothing to do with the arcade. The arcade does not have chat. The error states "updatechatstats". Do you have a chat installed? Then there is something wrong with it.

Offline Skhilled

  • Beta Tester
  • *
  • Posts: 1166
  • Once you stop learning, you stop living!
    • Doc Skillz
Re: PLEASE HELP!!!!!
« Reply #18 on: March 25, 2008, 08:18:38 AM »
The funny thing was I didnt install the arcade mod yet.  I read that I should go back to default theme first so that is what I did. and then it gave me that error.

I did a posting at SMF and this is what they said here is the link: http://www.simplemachines.org/community/index.php?topic=230498.0

Im so upset with myself!!!! :'(
The arcade mod is not the problem. The arcade does not use that function  " updatechatstats() ". I believe that this is from a chat mod.

You got this error before installing the arcade. So it cannot be an arcade problem. It is not a TP problem either.

The topic at SMF told you to remove the duplicate code. You should have attached the file to a post instead of posting the entire code in parts.

Reading can seriously damage your ignorance!

blouogies

  • Guest
Re: PLEASE HELP!!!!!
« Reply #19 on: March 25, 2008, 08:20:50 AM »
The funny thing was I didnt install the arcade mod yet.  I read that I should go back to default theme first so that is what I did. and then it gave me that error.

I did a posting at SMF and this is what they said here is the link: http://www.simplemachines.org/community/index.php?topic=230498.0

Im so upset with myself!!!! :'(
The arcade mod is not the problem. The arcade does not use that function  " updatechatstats() ". I believe that this is from a chat mod.

You got this error before installing the arcade. So it cannot be an arcade problem. It is not a TP problem either.

The topic at SMF told you to remove the duplicate code. You should have attached the file to a post instead of posting the entire code in parts.
It doesnt matter anymore it looks like Im to stupid to fix the problem so Thanks for everyones help!!!